Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Cache_ExtId Class Reference

Helper class for TAO_Transport_Cache_Manager: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of the Transport Cache. More...

`#include <Cache_Entries.h>`

Collaboration diagram for TAO::Cache_ExtId:

[legend]
List of all members.

## Public Member Functions
| Cache_ExtId (void)
| Constructor.
| Cache_ExtId (TAO_Transport_Descriptor_Interface *prop)
| Constructor.
| Cache_ExtId (const Cache_ExtId &rhs)
| Copy constructor.
| ~Cache_ExtId (void)
| Destructor.
Cache_ExtId & | operator= (const Cache_ExtId &rhs)
| Assignment operator (does copy memory).
bool | operator== (const Cache_ExtId &rhs) const
| Equality comparison operator (must match both id_ and kind_).
bool | operator!= (const Cache_ExtId &rhs) const
| Inequality comparison operator.
u_long | hash (void) const
void | duplicate (void)
| Make a deep copy of the underlying pointer.
CORBA::ULong | index (void) const
| Return the index value.
void | index (CORBA::ULong index)
void | incr_index (void)
| Increment the index value.
TAO_Transport_Descriptor_Interface * | property (void) const
| Get the underlying the property pointer.
## Private Attributes
TAO_Transport_Descriptor_Interface * | transport_property_
| A property object that we represent.
CORBA::Boolean | is_delete_
| Do we need to delete transport_property?
CORBA::ULong | index_

## Detailed Description

Helper class for TAO_Transport_Cache_Manager: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of the Transport Cache.

## Constructor & Destructor Documentation

ACE_INLINE TAO::Cache_ExtId::Cache_ExtId | ( | void |  | ) |

| Constructor.

ACE_INLINE TAO::Cache_ExtId::Cache_ExtId | ( | TAO_Transport_Descriptor_Interface * | prop | ) |

| Constructor.

ACE_INLINE TAO::Cache_ExtId::Cache_ExtId | ( | const Cache_ExtId & | rhs | ) |

| Copy constructor.

ACE_INLINE TAO::Cache_ExtId::~Cache_ExtId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE void TAO::Cache_ExtId::duplicate | ( | void |  | ) |

| Make a deep copy of the underlying pointer.

ACE_INLINE u_long TAO::Cache_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager_Ex.

ACE_INLINE void TAO::Cache_ExtId::incr_index | ( | void |  | ) |

| Increment the index value.

ACE_INLINE void TAO::Cache_ExtId::index | ( | CORBA::ULong | index | ) |

| Set the index value. This calls should not be used by any users but for the TAO_Transport_Cache_Manager class.

ACE_INLINE CORBA::ULong TAO::Cache_ExtId::index | ( | void |  | ) | const

| Return the index value.

ACE_INLINE bool TAO::Cache_ExtId::operator!= | ( | const Cache_ExtId & | rhs | ) | const

| Inequality comparison operator.

ACE_INLINE Cache_ExtId & TAO::Cache_ExtId::operator= | ( | const Cache_ExtId & | rhs | ) |

| Assignment operator (does copy memory).

ACE_INLINE bool TAO::Cache_ExtId::operator== | ( | const Cache_ExtId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

ACE_INLINE TAO_Transport_Descriptor_Interface * TAO::Cache_ExtId::property | ( | void |  | ) | const

| Get the underlying the property pointer.

## Member Data Documentation

CORBA::ULong TAO::Cache_ExtId::index_`[private]`

| This is a supplementary index. Would be set to zero by default. Would be altered by the Transport_Cache of TAO. Please see the documentation of TAO_Transport_Cache_Manager for details.

CORBA::Boolean TAO::Cache_ExtId::is_delete_`[private]`

| Do we need to delete transport_property?

TAO_Transport_Descriptor_Interface* TAO::Cache_ExtId::transport_property_`[private]`

| A property object that we represent.

The documentation for this class was generated from the following files:

- Cache_Entries.h
- Cache_Entries.inl